package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.demo.entity.vo.StoreVo;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@TableName("dl_store")
@NoArgsConstructor
public class Store {
    @TableId(value = "store_id",type = IdType.ASSIGN_ID)
    private String storeId;
    @TableField("store_name")
    private String storeName;
    @TableField("addr_info")
    private String addrInfo;
    @TableField("addr_code")
    private String addrCode;
    @TableField("addr_code_info")
    private String addrCodeInfo;
    @TableField("lat")
    private BigDecimal lat;
    @TableField("lng")
    private BigDecimal lng;
    @TableField("point")
    private String point;
    @TableField("create_time")
    private LocalDateTime createTime;
    @TableField("principal_name")
    private String principalName;
    @TableField("principal_telephone")
    private String principalTelephone;
    @TableField("deleted")
    private int deleted;

    public Store(StoreVo storeVo) {
        this.storeName = storeVo.getStoreName();
        this.addrInfo = storeVo.getAddrInfo();
        this.addrCode = storeVo.getAddrCode();
        this.lat = storeVo.getLat();
        this.lng = storeVo.getLng();
        this.point = storeVo.getPoint();
        this.principalName = storeVo.getPrincipalName();
        this.principalTelephone = storeVo.getPrincipalTelephone();
    }

}
